Summary: color X11 version of hextris 
Name: cxhextris
Version: 1.0
Release: 7
Copyright: distributable
Group: X11/Games/Video
Source: ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/cxhextris.tar.z
Source1: cxhextris.wmconfig
Patch0: cxhextris-config.patch
Patch1: cxhextris-axp.patch
Prereq: /usr/X11R6/bin/mkfontdir

%changelog

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>

- fixed src url
- added wmconfig entries

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
cxhextrix is a color version of the popular hextris.  Both are
a close of the popular T*tris video game, a game where one must
try to stack odd shaped blocks together perfectly.  This game
requires X Windows to work properly.

%prep
%setup -n cxhextris
%patch -p1
%patch1 -p1

%build
xmkmf
make

%install
make install
make install.man
make install.font

chown games.games /var/lib/games/xhextris-scores
chown games.games /usr/X11R6/bin/xhextris
chmod 4755 /usr/X11R6/bin/xhextris

install -d /etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/cxhextris.wmconfig /etc/X11/wmconfig/cxhextris

%post
(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)

%postun
(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)

%files
%doc README README.Linux
/usr/X11R6/bin/xhextris
/usr/X11R6/lib/X11/fonts/misc/hex20.pcf
/var/lib/games/xhextris-scores
/etc/X11/wmconfig/cxhextris
